package apoRepeat.entity;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

import org.apogames.entity.ApoButton;

public class ApoButtonWithImageAndImage extends ApoButton {

	private final BufferedImage iImage;
	
	public ApoButtonWithImageAndImage(BufferedImage iBackground, BufferedImage iImage, int x, int y, int width, int height, String function) {
		super(iBackground, x, y, width, height, function);
		
		this.iImage = iImage;
	}
	
	public void render(Graphics2D g, int changeX, int changeY) {
		if (this.isBVisible()) {
			super.render(g, changeX, changeY);
			
			if (this.iImage != null) {

				int w = this.iImage.getWidth();
				int h = this.iImage.getHeight();
				int add = 0;
				if (this.isBPressed()) {
					add += 1;
				}
				g.drawImage(this.iImage, (int)(this.getXMiddle() - w/2 + add + changeX), (int)(this.getY() + add + changeY + this.getHeight()/2 - h/2), null);
			}
		}
	}

}
